WyrdOS
Open App

Zones

API endpoints for zones

List zones

GET /api/v1/zones

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
containerIdquerystringNo
statusqueryNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/zones?organisationId=<organisationId>&containerId=<containerId>&status=<status>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "name": "Launch readiness",
      "status": "active",
      "description": "Track onboarding work for the beta launch.",
      "doDate": 1782828000000,
      "endDate": 1782828000000,
      "dueDate": 1782828000000,
      "containerId": "container_product",
      "userId": "item_abc123",
      "organisationId": "org_abc123",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ],
  "nextCursor": "Launch readiness"
}

Other statuses: 401.

Response body type

{ data: Zone[]; nextCursor: string }


Create zone

POST /api/v1/zones

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/zones" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","status":"active","description":"Track onboarding work for the beta launch.","doDate":1782828000000,"endDate":1782828000000,"dueDate":1782828000000,"organisationId":"org_abc123","containerId":"container_product"}'

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "status": "active",
    "description": "Track onboarding work for the beta launch.",
    "doDate": 1782828000000,
    "endDate": 1782828000000,
    "dueDate": 1782828000000,
    "containerId": "container_product",
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 400, 401.

Response body type

{ data: Zone }


Get zone by id

GET /api/v1/zones/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/zones/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "status": "active",
    "description": "Track onboarding work for the beta launch.",
    "doDate": 1782828000000,
    "endDate": 1782828000000,
    "dueDate": 1782828000000,
    "containerId": "container_product",
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 401, 404.

Response body type

{ data: Zone }


Update zone

PATCH /api/v1/zones/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/zones/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","status":"active","description":"Track onboarding work for the beta launch.","doDate":1782828000000,"endDate":1782828000000,"dueDate":1782828000000}'

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "status": "active",
    "description": "Track onboarding work for the beta launch.",
    "doDate": 1782828000000,
    "endDate": 1782828000000,
    "dueDate": 1782828000000,
    "containerId": "container_product",
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Zone }


Delete zone

DELETE /api/v1/zones/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/zones/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403, 404.

Response body type